From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/automake/
Date: Sat, 30 Jul 2022 03:14:27 +0000 (UTC) [thread overview]
Message-ID: <1659150780.05bcce6b6ddd3b7912a7428614d5bad9c361f7c2.sam@gentoo> (raw)
commit: 05bcce6b6ddd3b7912a7428614d5bad9c361f7c2
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 30 03:13:00 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 03:13:00 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05bcce6b
sys-devel/automake: enable Python 3.11
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-devel/automake/automake-1.16.5.ebuild | 18 ++++++++++--------
sys-devel/automake/automake-9999.ebuild | 14 ++++++++------
2 files changed, 18 insertions(+), 14 deletions(-)
diff --git a/sys-devel/automake/automake-1.16.5.ebuild b/sys-devel/automake/automake-1.16.5.ebuild
index df393e3b1078..6e1d35f712b0 100644
--- a/sys-devel/automake/automake-1.16.5.ebuild
+++ b/sys-devel/automake/automake-1.16.5.ebuild
@@ -2,20 +2,20 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8,9,10} )
+
+PYTHON_COMPAT=( python3_{8..11} )
inherit python-any-r1
if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://git.savannah.gnu.org/r/${PN}.git"
-
inherit git-r3
else
- KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
if [[ ${PV/_beta} == ${PV} ]]; then
MY_P="${P}"
SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
https://alpha.gnu.org/pub/gnu/${PN}/${MY_P}.tar.xz"
+ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
else
MY_PV="$(ver_cut 1).$(($(ver_cut 2)-1))b"
MY_P="${PN}-${MY_PV}"
@@ -23,6 +23,7 @@ else
# Alpha/beta releases are not distributed on the usual mirrors.
SRC_URI="https://alpha.gnu.org/pub/gnu/${PN}/${MY_P}.tar.xz"
fi
+
S="${WORKDIR}/${MY_P}"
fi
@@ -59,14 +60,15 @@ pkg_setup() {
src_prepare() {
default
+
export WANT_AUTOCONF=2.5
- # Don't try wrapping the autotools this thing runs as it tends
+ # Don't try wrapping the autotools - this thing runs as it tends
# to be a bit esoteric, and the script does `set -e` itself.
./bootstrap || die
sed -i -e "/APIVERSION=/s:=.*:=${SLOT}:" configure || die
- # Bug 628912
- if ! has_version sys-apps/texinfo ; then
+ # bug #628912
+ if ! has_version -b sys-apps/texinfo ; then
touch doc/{stamp-vti,version.texi,automake.info} || die
fi
}
@@ -76,8 +78,8 @@ src_configure() {
default
}
-# slot the info pages. do this w/out munging the source so we don't have
-# to depend on texinfo to regen things. #464146 (among others)
+# Slot the info pages. Do this w/out munging the source so we don't have
+# to depend on texinfo to regen things. bug #464146 (among others)
slot_info_pages() {
pushd "${ED}"/usr/share/info >/dev/null || die
rm -f dir
diff --git a/sys-devel/automake/automake-9999.ebuild b/sys-devel/automake/automake-9999.ebuild
index 0467aa671d75..a36fa3529b35 100644
--- a/sys-devel/automake/automake-9999.ebuild
+++ b/sys-devel/automake/automake-9999.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{8,9,10} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit python-any-r1
@@ -23,6 +23,7 @@ else
# Alpha/beta releases are not distributed on the usual mirrors.
SRC_URI="https://alpha.gnu.org/pub/gnu/${PN}/${MY_P}.tar.xz"
fi
+
S="${WORKDIR}/${MY_P}"
fi
@@ -53,14 +54,15 @@ pkg_setup() {
src_prepare() {
default
+
export WANT_AUTOCONF=2.5
- # Don't try wrapping the autotools this thing runs as it tends
+ # Don't try wrapping the autotools - this thing runs as it tends
# to be a bit esoteric, and the script does `set -e` itself.
./bootstrap || die
sed -i -e "/APIVERSION=/s:=.*:=${SLOT}:" configure || die
- # Bug 628912
- if ! has_version sys-apps/texinfo ; then
+ # bug #628912
+ if ! has_version -b sys-apps/texinfo ; then
touch doc/{stamp-vti,version.texi,automake.info} || die
fi
}
@@ -70,8 +72,8 @@ src_configure() {
default
}
-# slot the info pages. do this w/out munging the source so we don't have
-# to depend on texinfo to regen things. #464146 (among others)
+# Slot the info pages. Do this w/out munging the source so we don't have
+# to depend on texinfo to regen things. bug #464146 (among others)
slot_info_pages() {
pushd "${ED}"/usr/share/info >/dev/null || die
rm -f dir
next reply other threads:[~2022-07-30 3:14 UTC|newest]
Thread overview: 199+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-30 3:14 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-27 20:57 [gentoo-commits] repo/gentoo:master commit in: sys-devel/automake/ Sam James
2023-12-24 1:07 Sam James
2023-10-17 13:01 David Seifert
2023-10-17 12:32 Sam James
2023-10-17 12:32 Sam James
2023-10-17 12:32 Sam James
2023-10-17 12:32 Sam James
2023-10-13 11:01 David Seifert
2023-08-30 23:52 Sam James
2023-07-18 19:12 Sam James
2023-07-11 14:02 Jakov Smolić
2023-07-09 2:13 Sam James
2023-07-09 2:13 Sam James
2023-03-27 20:40 Arsen Arsenović
2022-08-18 0:15 Sam James
2022-07-27 2:40 Sam James
2022-06-10 13:31 David Seifert
2022-04-16 4:47 Arthur Zamarin
2022-04-10 18:09 Arthur Zamarin
2022-04-10 18:05 Arthur Zamarin
2022-04-09 19:47 Arthur Zamarin
2022-04-09 19:31 Arthur Zamarin
2022-04-09 19:23 Arthur Zamarin
2022-04-07 20:58 Jakov Smolić
2022-04-07 20:58 Jakov Smolić
2021-10-04 3:46 Sam James
2021-10-02 15:43 Sam James
2021-09-27 4:14 Sam James
2021-09-21 16:35 Sam James
2021-09-20 0:27 Sam James
2021-09-19 6:39 Agostino Sarubbo
2021-09-18 19:51 Sam James
2021-09-18 19:51 Sam James
2021-09-18 19:48 Sam James
2021-07-27 22:36 Sam James
2021-07-27 7:07 Lars Wendler
2021-05-26 8:33 David Seifert
2021-05-25 16:55 Sam James
2021-05-22 19:23 Sergei Trofimovich
2021-05-22 15:10 Sam James
2021-05-22 1:35 Sam James
2021-05-22 1:35 Sam James
2021-05-22 1:32 Sam James
2021-05-21 19:49 Sam James
2021-04-17 14:18 Mike Gilbert
2021-04-17 14:18 Mike Gilbert
2021-02-28 21:32 Sam James
2021-02-28 21:32 Sam James
2021-01-06 17:35 Sergei Trofimovich
2021-01-06 15:32 Fabian Groffen
2020-12-27 18:18 Fabian Groffen
2020-11-24 7:43 Agostino Sarubbo
2020-11-23 7:58 Sergei Trofimovich
2020-11-23 7:52 Sergei Trofimovich
2020-11-23 4:37 Sam James
2020-11-20 13:42 Sam James
2020-11-20 13:42 Sam James
2020-11-20 13:42 Sam James
2020-11-20 1:34 Thomas Deutschmann
2020-11-19 9:36 Lars Wendler
2020-09-24 10:56 Lars Wendler
2020-05-04 17:36 Thomas Deutschmann
2020-03-22 13:03 Lars Wendler
2020-02-10 13:26 Michał Górny
2020-01-20 5:54 Andreas K. Hüttel
2020-01-20 5:04 Andreas K. Hüttel
2019-12-10 14:28 Lars Wendler
2019-11-12 9:02 Lars Wendler
2019-11-08 9:47 Lars Wendler
2019-05-05 22:44 Mike Gilbert
2019-05-05 19:06 Andreas K. Hüttel
2019-05-04 17:34 Mikle Kolyada
2019-01-17 20:47 Mikle Kolyada
2019-01-17 20:47 Mikle Kolyada
2019-01-17 20:47 Mikle Kolyada
2019-01-17 20:47 Mikle Kolyada
2019-01-16 6:05 Mart Raudsepp
2018-12-27 8:16 Sergei Trofimovich
2018-12-27 2:59 Matt Turner
2018-12-26 13:55 Sergei Trofimovich
2018-12-26 13:52 Sergei Trofimovich
2018-12-25 19:36 Sergei Trofimovich
2018-12-23 21:23 Thomas Deutschmann
2018-12-23 10:26 Mikle Kolyada
2018-03-29 3:34 Mike Frysinger
2018-03-14 15:31 Mikle Kolyada
2018-03-14 15:25 Mikle Kolyada
2018-03-13 23:53 Thomas Deutschmann
2018-03-13 17:39 Markus Meier
2018-03-13 17:39 Markus Meier
2018-03-13 17:39 Markus Meier
2018-03-13 17:39 Markus Meier
2018-03-13 17:39 Markus Meier
2018-03-13 17:39 Markus Meier
2018-03-13 17:39 Markus Meier
2018-03-12 12:16 Thomas Deutschmann
2018-03-12 9:32 Lars Wendler
2018-03-07 23:29 Sergei Trofimovich
2018-03-07 23:29 Sergei Trofimovich
2018-03-07 23:29 Sergei Trofimovich
2018-03-07 23:29 Sergei Trofimovich
2018-03-07 23:29 Sergei Trofimovich
2018-03-07 23:29 Sergei Trofimovich
2018-03-07 23:29 Sergei Trofimovich
2018-03-05 19:01 Tobias Klausmann
2018-03-05 19:00 Tobias Klausmann
2018-03-05 18:59 Tobias Klausmann
2018-03-05 18:58 Tobias Klausmann
2018-03-05 18:57 Tobias Klausmann
2018-03-05 18:57 Tobias Klausmann
2018-03-05 18:56 Tobias Klausmann
2018-03-05 0:36 Mart Raudsepp
2018-03-04 19:11 Sergei Trofimovich
2018-03-04 19:11 Sergei Trofimovich
2018-03-04 19:11 Sergei Trofimovich
2018-03-04 19:11 Sergei Trofimovich
2018-03-04 19:11 Sergei Trofimovich
2018-03-04 19:11 Sergei Trofimovich
2018-03-04 19:11 Sergei Trofimovich
2018-03-04 11:13 Sergei Trofimovich
2018-03-04 11:13 Sergei Trofimovich
2018-03-04 11:13 Sergei Trofimovich
2018-03-04 11:13 Sergei Trofimovich
2018-03-04 11:13 Sergei Trofimovich
2018-03-04 11:13 Sergei Trofimovich
2018-03-04 11:13 Sergei Trofimovich
2018-03-04 10:19 Jason Zaman
2018-03-04 10:12 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-01 1:32 Thomas Deutschmann
2018-03-01 1:20 Thomas Deutschmann
2018-03-01 1:02 Thomas Deutschmann
2018-02-25 22:48 Thomas Deutschmann
2018-01-11 22:50 Mike Frysinger
2018-01-05 9:39 Lars Wendler
2017-11-29 5:56 Markus Meier
2017-11-29 5:56 Markus Meier
2017-11-29 5:56 Markus Meier
2017-11-29 5:56 Markus Meier
2017-11-29 5:56 Markus Meier
2017-11-29 5:56 Markus Meier
2017-11-20 15:08 Manuel Rüger
2017-11-20 15:04 Manuel Rüger
2017-11-20 15:04 Manuel Rüger
2017-11-20 14:59 Manuel Rüger
2017-11-20 14:57 Manuel Rüger
2017-11-20 14:57 Manuel Rüger
2017-11-13 7:27 Sergei Trofimovich
2017-11-13 7:27 Sergei Trofimovich
2017-11-13 7:27 Sergei Trofimovich
2017-11-13 7:27 Sergei Trofimovich
2017-11-13 7:27 Sergei Trofimovich
2017-11-13 7:27 Sergei Trofimovich
2017-11-11 14:09 Sergei Trofimovich
2017-11-11 14:09 Sergei Trofimovich
2017-11-11 14:09 Sergei Trofimovich
2017-11-11 14:09 Sergei Trofimovich
2017-11-11 14:09 Sergei Trofimovich
2017-11-11 14:09 Sergei Trofimovich
2017-11-06 14:21 Tobias Klausmann
2017-11-06 14:21 Tobias Klausmann
2017-11-06 14:20 Tobias Klausmann
2017-11-06 14:19 Tobias Klausmann
2017-11-06 14:19 Tobias Klausmann
2017-10-24 21:09 Sergei Trofimovich
2017-10-24 21:09 Sergei Trofimovich
2017-10-24 21:09 Sergei Trofimovich
2017-10-24 21:09 Sergei Trofimovich
2017-10-24 21:09 Sergei Trofimovich
2017-10-24 21:09 Sergei Trofimovich
2017-10-23 20:38 Sergei Trofimovich
2017-10-23 20:38 Sergei Trofimovich
2017-10-23 20:38 Sergei Trofimovich
2017-10-23 20:38 Sergei Trofimovich
2017-10-23 20:38 Sergei Trofimovich
2017-10-23 20:38 Sergei Trofimovich
2017-10-22 20:33 Thomas Deutschmann
2017-08-18 15:37 Craig Andrews
2017-06-20 10:54 Lars Wendler
2017-06-04 22:13 Sergei Trofimovich
2017-05-09 16:31 Markus Meier
2017-04-30 8:53 Jeroen Roovers
2017-04-28 12:52 Agostino Sarubbo
2017-04-28 12:31 Agostino Sarubbo
2017-03-25 9:08 Fabian Groffen
2017-03-23 14:37 Fabian Groffen
2016-10-21 11:14 Lars Wendler
2016-05-19 2:57 Benda XU
2016-05-13 17:40 Mike Frysinger
2016-05-13 17:40 Mike Frysinger
2016-05-13 17:40 Mike Frysinger
2015-12-16 22:52 Mike Frysinger
2015-09-03 4:57 Matt Turner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1659150780.05bcce6b6ddd3b7912a7428614d5bad9c361f7c2.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox